package dp.kotul.solrapimodel.solrsearch

object SolrUtils {
    fun getUniqueSolrDocumentId(id: String, assetType: AssetType, templateType: String? = null, laeId: Int = 2): String {
        val solrDocumentUniqueId = StringBuilder(assetType.value)
        solrDocumentUniqueId.append("_")
        if (templateType != null) {
            solrDocumentUniqueId.append(templateType)
            solrDocumentUniqueId.append("_")
        }
        solrDocumentUniqueId.append(id)
        solrDocumentUniqueId.append("_")
        solrDocumentUniqueId.append(laeId)
        return solrDocumentUniqueId.toString()
    }
}
